<h1 mat-dialog-title>{{ "loginOrRegister" | translate }}</h1>
<div mat-dialog-content>
	<mat-tab-group>
		<mat-tab label="{{ 'login' | translate }}">
			<form [formGroup]="loginFormGroup" (keyup.enter)="login()">
				<mat-form-field>
					<mat-label>{{ "email" | translate }}</mat-label>
					<!--autofocus does currently not work because of mat-tab-->
					<input
						name="username"
						matInput
						required
						type="email"
						[formControl]="loginEmailFormControl"
						autocomplete="email"
						autofocus
					/>
					<mat-error>
						{{ getError("email.error.", loginEmailFormControl) }}
					</mat-error>
				</mat-form-field>
				<mat-form-field>
					<mat-label>{{ "password" | translate }}</mat-label>
					<input
						name="password"
						matInput
						required
						type="password"
						[formControl]="loginPasswordFormControl"
						autocomplete="current-password"
					/>
					<mat-error>
						{{ getError("password.error.", loginPasswordFormControl) }}
					</mat-error>
				</mat-form-field>
				<div class="tab-actions">
					<button
						mat-raised-button
						type="submit"
						color="primary"
						[disabled]="loginFormGroup.invalid"
						(click)="login()"
					>
						{{ "login" | translate }}
					</button>
					<button mat-raised-button mat-dialog-close>
						{{ "cancelButton" | translate }}
					</button>
				</div>
			</form>
		</mat-tab>
		<mat-tab label="{{ 'register' | translate }}">
			<form [formGroup]="registerFormGroup" (keyup.enter)="register()">
				<mat-form-field>
					<mat-label>{{ "displayName" | translate }}</mat-label>
					<input
						matInput
						required
						[formControl]="registerDisplayNameFormControl"
					/>
					<mat-error>
						{{ getError("displayName.error.", registerDisplayNameFormControl) }}
					</mat-error>
				</mat-form-field>
				<mat-form-field>
					<mat-label>{{ "email" | translate }}</mat-label>
					<input
						name="username"
						matInput
						required
						type="email"
						[formControl]="registerEmailFormControl"
						autocomplete="email"
					/>
					<mat-error>
						{{ getError("email.error.", registerEmailFormControl) }}
					</mat-error>
				</mat-form-field>
				<mat-form-field>
					<mat-label>{{ "password" | translate }}</mat-label>
					<input
						name="password"
						matInput
						required
						type="password"
						[formControl]="registerPasswordFormControl"
						autocomplete="new-password"
					/>
					<mat-error>
						{{ getError("password.error.", registerPasswordFormControl) }}
					</mat-error>
				</mat-form-field>
				<div class="tab-actions">
					<button
						mat-raised-button
						color="primary"
						[disabled]="registerFormGroup.invalid"
						(click)="register()"
					>
						{{ "register" | translate }}
					</button>
					<button mat-raised-button mat-dialog-close>
						{{ "cancelButton" | translate }}
					</button>
				</div>
			</form>
		</mat-tab>
	</mat-tab-group>
</div>

<div>
	{{ "loginWith" | translate }}
</div>
<div>
	<button
		mat-icon-button
		title="{{ 'loginWithGoogle' | translate }}"
		(click)="loginWithGoogle()"
	>
		<img src="assets/google.svg" alt="Google" />
	</button>
	<button
		mat-icon-button
		title="{{ 'loginWithGitHub' | translate }}"
		(click)="loginWithGitHub()"
	>
		<img src="assets/github.svg" alt="GitHub" />
	</button>
	<button
		mat-icon-button
		title="{{ 'loginWithTwitter' | translate }}"
		(click)="loginWithTwitter()"
	>
		<img src="assets/twitter.svg" alt="Twitter" />
	</button>
	<!--
  <button mat-icon-button title="{{ 'loginWithFacebook' | translate }}" (click)="loginWithFacebook()">
    <img src="assets/facebook.svg" alt="Facebook">
  </button>
  -->
</div>
